'''Audio wrapper
Copyright (c) Jan Varho 2013
See README.txt for licensing'''

noaudio = 0

try:
    import pygame.mixer
except ImportError, e:
    noaudio = 1

def preinit():
    if not noaudio:
        pygame.mixer.pre_init(44100, -16, 2, 1024)

def play_music(music):
    if not noaudio:
        pygame.mixer.music.load(music)
        pygame.mixer.music.play(-1)

def set_music_volume(vol = 1.0):
    if not noaudio:
        pygame.mixer.music.set_volume(vol)

def load_sound(sound, vol = None):
    if not noaudio:
        s = pygame.mixer.Sound(sound)
        if vol is not None:
            s.set_volume(vol)
        return s

def play_sound(sound, times = 1, fade = 0):
    if not noaudio and times and sound.get_num_channels() < 5:
        if times > 0:
            sound.play(times - 1, fade_ms = fade)
        else:
            sound.play(-1, fade_ms = fade)

def stop_sound(sound, fade = None):
    if not noaudio:
        if fade is not None:
            sound.fadeout(fade)
        else:
            sound.stop()

